﻿using MediaCy.Commands;
using MediaCy.IQL.Application;
using System;
using System.Windows.Forms;

namespace $safeprojectname$
{
    public partial class SamplePanel : UserControl
    {
        /// <summary>
        /// Receives application events.
        /// </summary>
        private McApplication _application;

        public SamplePanel()
        {
            InitializeComponent();
            this.Load += SamplePanel_Load;
        }

        /// <summary>
        /// Handles initialization after the panel is created.
        /// </summary>
        /// <param name="sender"></param>
        /// <param name="e"></param>
        void SamplePanel_Load(object sender, EventArgs e)
        {
            _application = McApplication.ThisApplication;
            _application.SelectedDataChanged += _application_SelectedDataChanged;
            _application_SelectedDataChanged(IMcData.DataTypes.Image);
        }

        /// <summary>
        /// Handles document activation in the application.
        /// </summary>
        /// <param name="Flags"></param>
        void _application_SelectedDataChanged(IMcData.DataTypes Flags)
        {
            if (_application.ActiveDocument == null)
            {
                this.label1.Text = "Active Document is null";
            }
            else
            {
                this.label1.Text = "Active Document is " + _application.ActiveDocument.DisplayName;
            }
        }
    }
}
